<?php

namespace Macymed\MacymedLinkTracker;

use Macymed\MacymedLinkTracker\Utils\RedirectPage;
use Macymed\MacymedLinkTracker\Utils\Assets;
use Macymed\MacymedLinkTracker\Utils\Tracking;
use Macymed\MacymedLinkTracker\Utils\Utils;

// Inclure WordPress pour utiliser ses fonctions
require_once __DIR__ . '/../../../wp-load.php';

// Récupérer le nonce depuis l'URL
$nonce = isset($_GET['mtl_nonce']) ? sanitize_text_field(wp_unslash($_GET['mtl_nonce'])) : '';

// Vérifier le nonce
if ($nonce && !wp_verify_nonce($nonce, 'link_tracker_record_action')) {
    
    wp_die(esc_html__('Invalid nonce or expired link.', 'macymed-link-tracker'));
}


// Récupérer l'URL depuis les paramètres GET

// Enregistrer le clic et rediriger
Tracking::recordClick();
